#
# Conditional build:
%bcond_with	glide3	# use glide3x instead of glide2x (drops Voodoo Graphics support)
#
Summary:	X.org video driver for Glide capable video boards
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych obsługujących Glide
Name:		xorg-driver-video-glide
Version:	1.2.2
Release:	9
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-glide-%{version}.tar.bz2
# Source0-md5:	3e596591c51f8e276dc3067925992bb3
URL:		http://xorg.freedesktop.org/
%if %{with glide3}
BuildRequires:	Glide3x-devel
%else
BuildRequires:	Glide2x-devel
%endif
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-glide < 1:7.0.0
Obsoletes:	XFree86-driver-glide < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Driver for Glide capable video boards (such as 3Dfx Voodoo boards),
meant for use mainly with Voodoo 1 and Voodoo 2 boards (which don't
have 2D acceleration).

%description -l pl.UTF-8
Sterownik dla kart graficznych obsługujących Glide (jak np. karty 3Dfx
Voodoo), przeznaczony głównie dla kart Voodoo 1 i Voodoo 2 (nie
mających akceleratora 2D).

%prep
%setup -q -n xf86-video-glide-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_glide3:ac_cv_lib_glide3x_grGet=no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/glide_drv.so
%{_mandir}/man4/glide.4*
%changelog
* Sun Oct 31 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-glide.git;a=log;h=master

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> e1749c7
- rebuil with xorg-xserver-server 21.1.0

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 31ac0b1
- release 8 (by relup.sh)

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 8d4c4a7
- release 7 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 0d7478b
- release 6 (by relup.sh)

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6cf3399
- due to xserver 1.17
- release 5 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 685c509
- xserver rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 123f2ca
- xserver rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> a789aab
- release 2 (by relup.sh)

* Thu Sep 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 6f6a8e8
- updated to 1.2.2

* Thu Jul 26 2012 Jakub Bogusz <qboosh@pld-linux.org> a437a2d
- updated to 1.2.1

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 500a137
- release 2

* Sun Jan 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 49cd78b
- updated to 1.2.0
- now it links dynamically with Glide at build time (instead of dlopening);
  so it buildrequires Glide*-devel instead of just SDK/headers
- it can use glide2 or glide3; use glide2 by default (with glide3 as bcond)
  to support more hardware (we have no glide3 for VG; for Voodoo3+ see tdfx driver anyway)

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e36999
- release 4

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> b7d3760
- xorg-driver-video virtual for video drivers
- release 3

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ededf45
- release 2

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 0cd0019
- updated to 1.1.0

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> a53330b
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 3dc43a3
- added README to docs
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 193a8f8
- release 4

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5df51c9
- release 3

